<div>
  <div
    fxLayout="row wrap"
    fxLayoutGap="16px grid"
    *ngIf="characters && characters.length > 0 && !isLoading"
  >
    <div
      fxFlex="25%"
      fxFlex.xs="100%"
      fxFlex.sm="33%"
      *ngFor="let character of characters"
    >
      <mat-card class="mat-elevation-z8">
        <mat-card-title-group>
          <mat-card-title
            ><h2>{{ character.name }}</h2></mat-card-title
          >
          <mat-card-subtitle>{{ character.species }}</mat-card-subtitle>
          <img
            mat-card-sm-image
            src="{{ character.image }}"
            alt="{{ character.name }}"
          />
        </mat-card-title-group>

        <mat-card-content>
          <p>{{ character.location.name }}</p>
          <h2>Status: {{ character.status }}</h2>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
  <div *ngIf="isLoading">Loading...</div>
  <div *ngIf="!characters && !isLoading">No data</div>
</div>
